Create a new db note
Request Information
URI Parameters :
None.
Body Parameters :
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "ca2cbc1e-244e-4a3e-91c0-a4f7ba9d8033",
"db_table_id": "ca1d5384-f2bb-4b24-aa06-dd0a65c1c423",
"db_table_name": "sample string 3",
"id_in_table": "0b1b4b47-0521-4ed3-ab9e-f9309110666c",
"user_id": "c9bc3c3e-3bcd-44c1-b529-1930df31284b",
"user_code": "sample string 6",
"date_add": "2026-10-26T03:43:25.1315108+00:00",
"dateutc_add": "2026-10-26T03:43:25.1315108+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-26T03:43:25.1315108+00:00"
}
Response Information
Resource Description :
IHttpActionResult
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ca9c5904-ede7-48e4-a9fa-aa9f1d46280d",
"db_table_id": "0b5fd20b-4f78-42ad-8cd7-b266a0370212",
"db_table_name": "sample string 3",
"id_in_table": "c4527496-dae7-4f32-9c8c-4c99df0fa5b6",
"user_id": "81e5ea9e-d9c0-4b8b-aed2-ab0c3db24a97",
"user_code": "sample string 6",
"date_add": "2026-10-26T03:43:25.1471347+00:00",
"dateutc_add": "2026-10-26T03:43:25.1471347+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-26T03:43:25.1471347+00:00"
}